#!/bin/bash

set -e

REMOTE=;
LOCAL=/home/vivek/src/intel
LOCAL_RPM=${LOCAL}/Intel:Linux-Graphics:Fedora:22
LOCAL_DEB=${LOCAL}/Intel:Linux-Graphics:Ubuntu:15.04+2015-Q2
PACKNAME=intel-linux-graphics-installer
#REMOTE=vivekR@carnitas.collabora.co.uk;
VMHOST=172.22.64.75;

autoreconf -f -i 
intltoolize --automake -f

./configure \
    --with-config-uri=http://$VMHOST:82/x/ilg-config.cfg \
    --with-fedora-repo-uri=http://$VMHOST:82/Intel:/Linux-Graphics:/Fedora:/22/Fedora_22/ \
    --with-repo-key-uris=https://$VMHOST/RPM-GPG-KEY.asc

rm -vf ~/rpmbuild/SOURCES/intel-linux-graphics-installer*.tar.gz
rm -vf ~/rpmbuild/SPECS/intel-linux-graphics-installer.spec

make rpmbuild

if [ -n "$REMOTE" ];
then
    ssh $REMOTE mkdir -p ilg-beta
    scp ~/rpmbuild/SOURCES/intel-linux-graphics-installer*.tar.gz \
        $REMOTE:ilg-beta/
    scp ~/rpmbuild/SPECS/intel-linux-graphics-installer.spec \
        $REMOTE:ilg-beta/
elif [ -n "$LOCAL_RPM" ] && [ -d $LOCAL_RPM ];
then
    echo "COPYING RPM SOURCES to $LOCAL_RPM";
    mkdir -p $LOCAL_RPM/$PACKNAME;
    cp -v ~/rpmbuild/SOURCES/$PACKNAME*.tar.gz  $LOCAL_RPM/$PACKNAME/;
    cp -v ~/rpmbuild/SPECS/$PACKNAME.spec $LOCAL_RPM/$PACKNAME/;
fi;

dpkg-buildpackage -rfakeroot -us -uc -S

if [ -n "$LOCAL_DEB" ] && [ -d $LOCAL_DEB ];
then
    echo "COPYING DEB SOURCES to $LOCAL_DEB";
    DSC=$(ls -1 ../*.dsc);
    TAR=$(basename $DSC .dsc).tar.gz
    mkdir -p $LOCAL_DEB/$PACKNAME;
    cp -v ../*.dsc $LOCAL_DEB/$PACKNAME;
    cp -v ../$TAR $LOCAL_DEB/$PACKNAME;
fi

oIFS="$IFS"; 
IFS="$IFS()";

if [ -n "$REMOTE" ];
then
    read name version x < <(cat debian/changelog | head -n 1);
    scp ../${name}_${version}*.{dsc,tar.*} $REMOTE:ilg-beta;
    ssh $REMOTE /usr/bin/ssh intel-appliance-0 mkdir -p ilg-beta
    ssh $REMOTE /usr/bin/ssh intel-appliance-0 rm -vf ilg-beta/\*
    ssh $REMOTE /usr/bin/scp ilg-beta/\* intel-appliance-0:ilg-beta/
fi
